EMF::EMREOF Class Reference

EMF End of File Record. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMREOF:

## Public Member Functions

| EMREOF (void)
| EMREOF (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF End of File Record.

Every metafile must have an End of File record. A palette may also be recorded in the EOF record, but it is currently unused by this library (all colors are specified in full RGB coordinates).

## Constructor & Destructor Documentation

## EMREOF() [1/2]

EMF::EMREOF::EMREOF | ( | void |  | ) |

inline

Constructor contains no user serviceable parts.

## EMREOF() [2/2]

EMF::EMREOF::EMREOF | ( | DATASTREAM & | ds | ) |

inline

Construct an EOF record from the input stream

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMREOF::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMREOF::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMREOF::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h